Subject: Re: interrupted fern mail order source

From: "LeaRae Keyes" <[email-masked]>
Date: Tue, 30 May 1995 13:53:53 GMT

On 26 May 95 10:36:04 CDT, 
Ellen  <[email-masked]> wrote:

>I love ferns and have had good luck with the ones I have grown.  I am
>looking for a mail-order source for the interrupted fern.  
>Thank you very much.
>
>Ellen Micheletti
>[email-masked]
>

The interrupted fern (osmunda claytoniana) can be ordered from:
Shady Oaks Nursery
112 10th Avenue S E
Waseca MN 56093
phone: (507) 835-5033
I have ordered from this nursery in the past and have found them to be a 
good quality nursery.  
Hope you find this to be helpful.
Happy gardening!
LeaRae Keyes
[email-masked]

LeaRae Keyes